Viewing Details of an AWS Key Template
Use the get /v1/cckm/aws/key-templates/{id} API to view details of an AWS key template.
Here, {id} is the resource ID of the key template on the CipherTrust Manager.
Syntax
curl -k '<IP>/api/v1/cckm/aws/key-templates/{id}' -X GET -H 'Authorization: Bearer AUTHTOKEN' -H 'accept: application/json' --compressed
Request Parameters
| Parameter | Type | Description |
|---|---|---|
| AUTHTOKEN | string | Authorization token. |
Example Request
curl -k 'https://127.0.0.1/api/v1/cckm/aws/key-templates/olik9' -H 'Authorization: Bearer {Place jwt token here. Bearer token / JWT can be created via the /v1/auth/tokens API.}' -H 'accept: application/json' --compressed
Example Response
{
"id": "68c4bab9-21f1-4a61-86ae-7325142beb46",
"uri": "kylo:kylo-bafd7fa9-4fcb-4bec-8391-d099340db929:cckm:aws-key-template:temp6-68c4bab9-21f1-4a61-86ae-7325142beb46",
"account": "kylo:kylo-bafd7fa9-4fcb-4bec-8391-d099340db929:admin:accounts:kylo-bafd7fa9-4fcb-4bec-8391-d099340db929",
"createdAt": "2025-10-10T05:23:45.830971Z",
"updatedAt": "2025-10-10T06:25:46.831067Z",
"name": "Temp6",
"description": "Testing Temp",
"override_attributes": false,
"template_type": "byok",
"key_attributes": {
"aws_param": {
"CustomerMasterKeySpec": "HMAC_512",
"KeyUsage": "SIGN_VERIFY",
"MultiRegion": true,
"Origin": "AWS_KMS",
"Tags": [
{
"TagKey": "Check",
"TagValue": "1"
}
]
},
"region": "us-east-3",
"external_cm_domain_id": "1425",
"rotation_setting": {
"job_config_id": "f404f720-9671-4eae-9449-dd5044bb8e50",
"auto_rotate_disable_encrypt": null,
"auto_rotate_disable_encrypt_on_all_accounts": null,
"auto_rotate_external_cm_domain_id": null,
"auto_rotate_key_source": "local",
"auto_rotate_partition_id": "5854"
},
"local_hosted_params": {}
}
}
Response Codes
| Response Code | Description |
|---|---|
| 2xx | Success |
| 4xx | Client errors |
| 5xx | Server errors |
Refer to HTTP status codes for details.